data = read.csv("sorted_data.csv") #substitute your file name for 'sorted_data'
source("find_gr.R") #this command loads the script (find_gr) that contains the analysis functions (needs to be in the present working directory)
time <- seq(0,9.25, by=0.25) #edit as appropriate;  this says 9.25 hours at 1/4 hour intervals;  equivalent to 555 min by 15
								#note that the growth rate output will be scaled by the time units you use here (per hour, per min, per century, etc.)

M = nrow(data)
N = ncol(data)

pdf("growth_rate_plots.pdf", paper="letter", width=7.5, height=10) #substitute your desired file name for 'growth_rate_plots'
growth.rates = NULL

for (i in 1:M) {
  print(i)
  gr <- findgr(data[i, 3:N], time, data[i, 2], int=12, r2=0.6) #3 in [i, 3:N] is the column number where the data starts;  
  #2 in [i, 2] is the column containg the label you want on the plot; 
  #int is number of points taken at one time as an interval to find the highest slope; 
  #vary (i.e. lower) r2, i.e. rsquared as needed, blanks can be a problem here
  growth.rates <- rbind(growth.rates, gr)
}
dev.off()

write.table(growth.rates, "growth_rates.txt", sep="\t", quote=F, row.names=F) #substitute your desired file name for 'growth_rates' 